package bidder;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

public interface Bidder extends EJBObject {

    int placeBid(int item, String user, String password, double amount) throws RemoteException;
    Enumeration getItemList() throws RemoteException;
    Enumeration getNewItemList() throws RemoteException;
    Enumeration getClosedItemList() throws RemoteException;
    Enumeration getMatchingItemsList(String searchString) throws RemoteException;

}
